
%define 	module	Durus

Summary:	Durus - a persistent object system for applications written in the Python programming language
Summary(pl.UTF-8):	Durus - system przechowywania obiektów aplikacji napisanych w języku programowania Python
Name:		python-%{module}
Version:	3.9
Release:	3
License:	CNRI
Group:		Libraries/Python
Source0:	http://www.mems-exchange.org/software/files/durus/%{module}-%{version}.tar.gz
# Source0-md5:	a432b65bc9fdc24f80f768022d9a3c04
URL:		http://www.mems-exchange.org/software/durus/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Durus is a system that offers an easy way to use and maintain a
consistent collection of object instances used by one or more
processes. Access and change of a persistent instances is managed
through a cached Connection instance which includes commit() and
abort() methods so that changes are transactional. Durus is best
suited to collections of less than a million instances with relatively
stable state.

%description -l pl.UTF-8
Durus jest system umożliwiającym używanie i zarządzanie w łatwy sposób
kolekcją obiektów używanych przez jeden lub więcej procesów. Dostęp do
obiektów i ich modyfikacje zarządzane są przy pomocy przechowywanych
stale w pamięci obiektów połączeń umożliwiających wykonywanie
transakcyjnych operacji na obiektach. Durus najlepiej sprawdza się
przy bazach, które nie zawierają więcej niż milion obiektów z
relatywnie stabilnym stanem.

%package -n Durus-utils
Summary:	Utility programs for Durus system
Summary(pl.UTF-8):	Programy narzędziowe systemu Durus
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Obsoletes:	Durus-client
Obsoletes:	Durus-server

%description -n Durus-utils
This package contains utility programs for Durus system. It contains
simple Python script with both client and server functionality.

%description -n Durus-utils -l pl.UTF-8
Programy nardzędziowe systemu Durus. Pakiet ten zawiera prosty skrypt
udostępniający funkcjonalność zarówno klienta jaki i serwera systemu
Durus.

%prep
%setup -q -n %{module}-%{version}

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build_ext
%{?with_tests:%{__python} setup.py test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{py_sitedir}}

%py_install \
	--install-lib=%{py_sitedir} \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKS.txt CHANGES.txt LICENSE.txt README.txt doc/FAQ.txt
%dir %{py_sitedir}/durus
%{py_sitedir}/durus/*.py[co]
%{py_sitedir}/durus/*.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/Durus-*.egg-info
%endif

%files -n Durus-utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/durus
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Durus.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 936a71c
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3d23541
- automatic change: use py_build/py_install macros

* Fri Jun 29 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7fb20c4
- packaged missing dir; rel. 2

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 87efd62
- up to 3.9; more files

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 6404001
- BR: rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 25dcb0c
- release 2

* Sun Mar 15 2009 duddits <duddits@pld-linux.org> 71209dc
- up to 3.8
- macros, cleaning
- %files

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 13697ff
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c4b3dca
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a839469
- converted to UTF-8

* Mon Feb 07 2005 Paweł Cyranek <pawel.cyranek@gmail.com> e5236c4
- updated to 1.4

* Thu Dec 23 2004 saq <saq@pld-linux.org> e813417
- fixed reqs
- release 2 for rebuild with python 2.4

* Fri Dec 17 2004 ankry <ankry@pld-linux.org> 70959ae
- tab

* Fri Dec 17 2004 darekr <darekr@pld-linux.org> fd02a61
- updated to 1.3
- BR python-modules

* Sat Nov 27 2004 saq <saq@pld-linux.org> 95f4fa7
- massive attack: added missing python-devel epoch do BR

* Mon Sep 13 2004 Jakub Bogusz <qboosh@pld-linux.org> b907a5c
- Obsoletes for old packages, files fix, release 3

* Sat Sep 11 2004 Marcin Gajda <m.gajda@functional-software.com> 2674598
- man file for client-server program i mandir
- rel. 2

* Sat Sep 11 2004 Marcin Gajda <m.gajda@functional-software.com> 372ebb5
- version 1.2
- there is no more two files for client and server - so new subpackage -utils
  is used

* Tue Aug 31 2004 Marcin Gajda <m.gajda@functional-software.com> 24bfd45
- new doc files in 1.1
- rel. 2

* Tue Aug 31 2004 darekr <darekr@pld-linux.org> 9306470
- updated to 1.1

